com.amazonaws.services.elastictranscoder.model

## Class Notifications

- java.lang.Object
- - com.amazonaws.services.elastictranscoder.model.Notifications

All Implemented Interfaces:
  Serializable, Cloneable

    public class Notifications
    extends Object
    implements Serializable, Cloneable

The Amazon Simple Notification Service (Amazon SNS) topic or topics to notify in order to report job status.

<important>

To receive notifications, you must also subscribe to the new topic in the Amazon SNS console.

</important>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Notifications()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Notifications` `clone()`
`boolean` `equals(Object obj)`
`String` `getCompleted()` The Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing the job.
`String` `getError()` The Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition.
`String` `getProgressing()` The Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process the job.
`String` `getWarning()` The Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition.
`int` `hashCode()`
`void` `setCompleted(String completed)` The Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing the job.
`void` `setError(String error)` The Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition.
`void` `setProgressing(String progressing)` The Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process the job.
`void` `setWarning(String warning)` The Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Notifications` `withCompleted(String completed)` The Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing the job.
`Notifications` `withError(String error)` The Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition.
`Notifications` `withProgressing(String progressing)` The Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process the job.
`Notifications` `withWarning(String warning)` The Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Notifications

    public Notifications()

### Method Detail

#### setProgressing

    public void setProgressing(String progressing)

The Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process the job.

Parameters:
  `progressing` - The Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process the job.

#### getProgressing

    public String getProgressing()

The Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process the job.

Returns:
  The Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process the job.

#### withProgressing

    public Notifications withProgressing(String progressing)

The Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process the job.

Parameters:
  `progressing` - The Amazon Simple Notification Service (Amazon SNS) topic that you want to notify when Elastic Transcoder has started to process the job.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCompleted

    public void setCompleted(String completed)

The Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing the job.

Parameters:
  `completed` - The Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing the job.

#### getCompleted

    public String getCompleted()

The Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing the job.

Returns:
  The Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing the job.

#### withCompleted

    public Notifications withCompleted(String completed)

The Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing the job.

Parameters:
  `completed` - The Amazon SNS topic that you want to notify when Elastic Transcoder has finished processing the job.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setWarning

    public void setWarning(String warning)

The Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition.

Parameters:
  `warning` - The Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition.

#### getWarning

    public String getWarning()

The Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition.

Returns:
  The Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition.

#### withWarning

    public Notifications withWarning(String warning)

The Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition.

Parameters:
  `warning` - The Amazon SNS topic that you want to notify when Elastic Transcoder encounters a warning condition.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setError

    public void setError(String error)

The Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition.

Parameters:
  `error` - The Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition.

#### getError

    public String getError()

The Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition.

Returns:
  The Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition.

#### withError

    public Notifications withError(String error)

The Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition.

Parameters:
  `error` - The Amazon SNS topic that you want to notify when Elastic Transcoder encounters an error condition.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Notifications clone()

Overrides:
  `clone` in class `Object`